---
title: Income Survey
product: PDF Generator
description: Download a printable income survey in PDF. Generate editable or prefilled income research questionnaires using SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Income Survey (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Income",
  "description": "",
  "pages": [
    {
      "name": "page0",
      "elements": [
        {
          "type": "panel",
          "elements": [
            {
              "type": "html",
              "name": "intro",
              "html": "<p>In this section, provide information about your current employment and any other way you and your partner receive income.</p><p>It may be helpful to have the following documents available:</p><p>- A recent payslip (for employment details)</p><p>- A current Centrelink schedule for any account-based pension from super, annuities, or other income stream products you own</p><p>- The latest statements for any payments from Centrelink or another authority</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "page1",
      "elements": [
        {
          "type": "radiogroup",
          "name": "maritalstatus_c",
          "title": "What is your marital status?",
          "choices": [
            "Married",
            "In a registered relationship",
            "Living with my partner",
            "Widowed",
            "Single"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "page2",
      "title": "Income from employment",
      "elements": [
        {
          "type": "panel",
          "name": "panel2",
          "title": "You",
          "description": "Indicate whether you currently receive income from employment. Include all sources of earnings from your job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receives_income_from_employment",
              "title": "Do you currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "member_type_of_employment",
              "title": "Type of employment (if you receive income from employment)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel3",
          "title": "Your Partner",
          "startWithNewLine": false,
          "description": "Indicate whether your partner currently receives income from employment. Include all sources of earnings from their job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receives_income_from_employment",
              "title": "Does your partner currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "partner_type_of_employment",
              "title": "Partner's employment type (if your partner receives income)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page3_2",
      "title": "Employers",
      "description": "List your employers and your partner's employers if applicable. Provide details about each employer. Complete the sections that apply.",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "member_arrray_employer_info",
          "title": "Your employers",
          "valueName": "member_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "member_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "member_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "member_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "member_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "member_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "partner_arrray_employer_info",
          "title": "Your partner's employers",
          "valueName": "partner_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "startWithNewLine": false,
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "partner_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "partner_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "partner_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "partner_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page4",
      "title": "Fringe benefits",
      "description": "Indicate whether any employers provide fringe benefits such as a company car, housing allowance, or other non-cash benefits. Complete the details if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "panel7",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receive_fringe_benefits",
              "title": "Do any of your employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "member_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel13",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receive_fringe_benefits",
              "title": "Do any of your partner's employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "partner_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page5",
      "title": "Seasonal or contract work",
      "description": "In the last 6 months, indicate whether you or your partner performed seasonal, intermittent, or contract work.",
      "elements": [
        {
          "type": "panel",
          "name": "panel14",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_seasonal_intermittent_or_contract_work",
              "title": "Have you done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel15",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_seasonal_intermittent_or_contract_work",
              "title": "Has your partner done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        }
      ]
    }
  ],
  "storeOthersAsComment": false,
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/jquery.md)


---
title: Income Survey
product: PDF Generator
description: Download a printable income survey in PDF. Generate editable or prefilled income research questionnaires using SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Income Survey (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Income",
  "description": "",
  "pages": [
    {
      "name": "page0",
      "elements": [
        {
          "type": "panel",
          "elements": [
            {
              "type": "html",
              "name": "intro",
              "html": "<p>In this section, provide information about your current employment and any other way you and your partner receive income.</p><p>It may be helpful to have the following documents available:</p><p>- A recent payslip (for employment details)</p><p>- A current Centrelink schedule for any account-based pension from super, annuities, or other income stream products you own</p><p>- The latest statements for any payments from Centrelink or another authority</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "page1",
      "elements": [
        {
          "type": "radiogroup",
          "name": "maritalstatus_c",
          "title": "What is your marital status?",
          "choices": [
            "Married",
            "In a registered relationship",
            "Living with my partner",
            "Widowed",
            "Single"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "page2",
      "title": "Income from employment",
      "elements": [
        {
          "type": "panel",
          "name": "panel2",
          "title": "You",
          "description": "Indicate whether you currently receive income from employment. Include all sources of earnings from your job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receives_income_from_employment",
              "title": "Do you currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "member_type_of_employment",
              "title": "Type of employment (if you receive income from employment)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel3",
          "title": "Your Partner",
          "startWithNewLine": false,
          "description": "Indicate whether your partner currently receives income from employment. Include all sources of earnings from their job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receives_income_from_employment",
              "title": "Does your partner currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "partner_type_of_employment",
              "title": "Partner's employment type (if your partner receives income)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page3_2",
      "title": "Employers",
      "description": "List your employers and your partner's employers if applicable. Provide details about each employer. Complete the sections that apply.",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "member_arrray_employer_info",
          "title": "Your employers",
          "valueName": "member_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "member_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "member_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "member_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "member_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "member_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "partner_arrray_employer_info",
          "title": "Your partner's employers",
          "valueName": "partner_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "startWithNewLine": false,
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "partner_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "partner_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "partner_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "partner_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page4",
      "title": "Fringe benefits",
      "description": "Indicate whether any employers provide fringe benefits such as a company car, housing allowance, or other non-cash benefits. Complete the details if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "panel7",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receive_fringe_benefits",
              "title": "Do any of your employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "member_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel13",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receive_fringe_benefits",
              "title": "Do any of your partner's employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "partner_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page5",
      "title": "Seasonal or contract work",
      "description": "In the last 6 months, indicate whether you or your partner performed seasonal, intermittent, or contract work.",
      "elements": [
        {
          "type": "panel",
          "name": "panel14",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_seasonal_intermittent_or_contract_work",
              "title": "Have you done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel15",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_seasonal_intermittent_or_contract_work",
              "title": "Has your partner done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        }
      ]
    }
  ],
  "storeOthersAsComment": false,
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vanillajs.md)


---
title: Income Survey
product: PDF Generator
description: Download a printable income survey in PDF. Generate editable or prefilled income research questionnaires using SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Income Survey (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Income",
  "description": "",
  "pages": [
    {
      "name": "page0",
      "elements": [
        {
          "type": "panel",
          "elements": [
            {
              "type": "html",
              "name": "intro",
              "html": "<p>In this section, provide information about your current employment and any other way you and your partner receive income.</p><p>It may be helpful to have the following documents available:</p><p>- A recent payslip (for employment details)</p><p>- A current Centrelink schedule for any account-based pension from super, annuities, or other income stream products you own</p><p>- The latest statements for any payments from Centrelink or another authority</p>"
            }
          ]
        }
      ]
    },
    {
      "name": "page1",
      "elements": [
        {
          "type": "radiogroup",
          "name": "maritalstatus_c",
          "title": "What is your marital status?",
          "choices": [
            "Married",
            "In a registered relationship",
            "Living with my partner",
            "Widowed",
            "Single"
          ],
          "colCount": 2
        }
      ]
    },
    {
      "name": "page2",
      "title": "Income from employment",
      "elements": [
        {
          "type": "panel",
          "name": "panel2",
          "title": "You",
          "description": "Indicate whether you currently receive income from employment. Include all sources of earnings from your job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receives_income_from_employment",
              "title": "Do you currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "member_type_of_employment",
              "title": "Type of employment (if you receive income from employment)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel3",
          "title": "Your Partner",
          "startWithNewLine": false,
          "description": "Indicate whether your partner currently receives income from employment. Include all sources of earnings from their job or jobs, if applicable.",
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receives_income_from_employment",
              "title": "Does your partner currently receive income from employment?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "checkbox",
              "name": "partner_type_of_employment",
              "title": "Partner's employment type (if your partner receives income)",
              "choices": [
                "Self employment",
                "All other types of employment"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page3_2",
      "title": "Employers",
      "description": "List your employers and your partner's employers if applicable. Provide details about each employer. Complete the sections that apply.",
      "elements": [
        {
          "type": "paneldynamic",
          "name": "member_arrray_employer_info",
          "title": "Your employers",
          "valueName": "member_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "member_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "member_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "member_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "member_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "member_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "member_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        },
        {
          "type": "paneldynamic",
          "name": "partner_arrray_employer_info",
          "title": "Your partner's employers",
          "valueName": "partner_arrray_employer",
          "templateTitle": "Employer {panelIndex}",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "startWithNewLine": false,
          "addPanelText": "Add employer",
          "templateElements": [
            {
              "type": "text",
              "name": "partner_employer_name",
              "title": "Employer name",
              "valueName": "name"
            },
            {
              "type": "text",
              "name": "partner_employer_address",
              "title": "Employer address",
              "valueName": "address"
            },
            {
              "type": "text",
              "name": "partner_employer_phone",
              "title": "Phone number",
              "valueName": "phone",
              "startWithNewLine": false
            },
            {
              "type": "text",
              "name": "partner_employer_abn",
              "title": "ABN",
              "valueName": "abn",
              "startWithNewLine": false
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_role",
              "title": "Employment type",
              "valueName": "role",
              "choices": [
                "Full time",
                "Part time",
                "Casual",
                "Seasonal"
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_hours_worked",
              "title": "Hours worked",
              "valueName": "hours_worked",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_hours_worked_frequency",
              "title": "Hours frequency",
              "valueName": "hours_worked_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_employer_income",
              "title": "Income amount",
              "valueName": "income",
              "inputType": "number"
            },
            {
              "type": "radiogroup",
              "name": "partner_employer_income_frequency",
              "title": "Income frequency",
              "valueName": "income_frequency",
              "choices": [
                "Day",
                "Week",
                "Fortnight",
                "Month",
                "Year"
              ],
              "startWithNewLine": false,
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page4",
      "title": "Fringe benefits",
      "description": "Indicate whether any employers provide fringe benefits such as a company car, housing allowance, or other non-cash benefits. Complete the details if applicable.",
      "elements": [
        {
          "type": "panel",
          "name": "panel7",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_receive_fringe_benefits",
              "title": "Do any of your employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "member_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "member_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel13",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_receive_fringe_benefits",
              "title": "Do any of your partner's employers provide fringe benefits?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_type",
              "title": "Type of fringe benefit (if yes)"
            },
            {
              "type": "text",
              "name": "partner_fringe_benefits_value",
              "title": "Annual taxable value (if applicable)"
            },
            {
              "type": "radiogroup",
              "name": "partner_fringe_benefits_grossing",
              "title": "Is this amount grossed up?",
              "choices": [
                "Grossed up",
                "Not grossed up"
              ],
              "colCount": 2
            }
          ]
        }
      ]
    },
    {
      "name": "page5",
      "title": "Seasonal or contract work",
      "description": "In the last 6 months, indicate whether you or your partner performed seasonal, intermittent, or contract work.",
      "elements": [
        {
          "type": "panel",
          "name": "panel14",
          "title": "You",
          "elements": [
            {
              "type": "radiogroup",
              "name": "member_seasonal_intermittent_or_contract_work",
              "title": "Have you done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel15",
          "title": "Your Partner",
          "startWithNewLine": false,
          "elements": [
            {
              "type": "radiogroup",
              "name": "partner_seasonal_intermittent_or_contract_work",
              "title": "Has your partner done seasonal, intermittent, or contract work in the last 6 months?",
              "isRequired": true,
              "choices": [
                {
                  "value": "1",
                  "text": "Yes"
                },
                {
                  "value": "0",
                  "text": "No"
                }
              ],
              "colCount": 2
            }
          ]
        }
      ]
    }
  ],
  "storeOthersAsComment": false,
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/template-how-to-configure-and-embed-income-survey/vanillajs.md)
